Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class XMLFileAssociation

- java.lang.Object
- - org.eclipse.lemminx.settings.PathPatternMatcher
  - - org.eclipse.lemminx.extensions.contentmodel.settings.XMLFileAssociation

    public class XMLFileAssociation
    extends PathPatternMatcher

XML file association between a XML file pattern (glob) and an XML Schema file (systemId).

### Constructor Summary

Constructors
`XMLFileAssociation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`Map<String,​String>` `getExternalSchemaLocation()`
`String` `getSystemId()`
`int` `hashCode()`
`void` `setSystemId​(String systemId)`

### Methods inherited from class org.eclipse.lemminx.settings.PathPatternMatcher

`getPathMatcher, getPattern, matches, matches, setPathMatcher, setPattern`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLFileAssociation

    public XMLFileAssociation()

### Method Detail

#### getSystemId

    public String getSystemId()

#### setSystemId

    public void setSystemId​(String systemId)

#### getExternalSchemaLocation

    public Map<String,​String> getExternalSchemaLocation()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `PathPatternMatcher`